package com.dkl.large.service;

import java.util.List;
import com.dkl.large.domain.DklVideoData;

/**
 * 大客流视频数据获取Service接口
 *
 * @author Dkl
 * @date 2025-06-06
 */
public interface IDklVideoDataService
{
    /**
     * 查询大客流视频数据获取
     *
     * @param id 大客流视频数据获取主键
     * @return 大客流视频数据获取
     */
    public DklVideoData selectDklVideoDataById(int id);

    /**
     * 查询大客流视频数据获取列表
     *
     * @param dklVideoData 大客流视频数据获取
     * @return 大客流视频数据获取集合
     */
    public List<DklVideoData> selectDklVideoDataList(DklVideoData dklVideoData);

    /**
     * 新增大客流视频数据获取
     *
     * @param dklVideoData 大客流视频数据获取
     * @return 结果
     */
    public int insertDklVideoData(DklVideoData dklVideoData);

    /**
     * 修改大客流视频数据获取
     *
     * @param dklVideoData 大客流视频数据获取
     * @return 结果
     */
    public int updateDklVideoData(DklVideoData dklVideoData);

    /**
     * 批量删除大客流视频数据获取
     *
     * @param ids 需要删除的大客流视频数据获取主键集合
     * @return 结果
     */
    public int deleteDklVideoDataByIds(int[] ids);

    /**
     * 删除大客流视频数据获取信息
     *
     * @param id 大客流视频数据获取主键
     * @return 结果
     */
    public int deleteDklVideoDataById(int id);
}
